Bug 1032007 - JON Agent RPM Errata Failure(s): SharedLibTest failure
JON Agent RPM Errata Failure(s): SharedLibTest failure
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity urgent
: CR01
: JON 3.2.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-11-19 06:12 EST by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:36:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-11-19 06:12:04 EST
Description of problem:
agent rpm errata - No old packages were found

Version-Release number of selected component (if applicable):
errata 2013:16291

How reproducible:
always

Steps to Reproduce:
1. rptps-mtest
2.
3.

Actual results:
PkgState: oldCnt 2 ; oldInstCnt 0 ; newCnt 2 ; newInstCnt 2 ; none = 0 ; dropCnt 0 ; addCnt 0 ; strayCnt 0
0 of 2 OLD, 2 of 2 NEW, and 0 STRAY packages are installed
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/augeas/lib/libaugeas.so.0: Arch differs from that of its rpm: i386 versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/augeas/lib/libaugeas.so.0.14.0: Arch differs from that of its rpm: i386 versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/augeas/lib/libfa.so.1: Arch differs from that of its rpm: i386 versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/augeas/lib/libfa.so.1.3.4: Arch differs from that of its rpm: i386 versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-ia64-linux.so: not a dynamic executable
: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-ia64-linux.so: Arch differs from that of its rpm: ia64 versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-ppc-linux.so: not a dynamic executable
: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-ppc-linux.so: Arch differs from that of its rpm: ppc versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-ppc64-linux.so: not a dynamic executable
: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-ppc64-linux.so: Arch differs from that of its rpm: ppc64 versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-s390x-linux.so: not a dynamic executable
: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-s390x-linux.so: Arch differs from that of its rpm: s390x versus noarch
jboss-on-agent-3.2.0.ER5-2.el6_5.noarch: /usr/share/jboss-on-3.2.0.ER5/agent/lib/libsigar-x86-linux.so: Arch differs from that of its rpm: i386 versus noarch
SharedLibTest: 14 regular binaries and 0 debug files were found.
Checked 14 of these 14 ELF objects, and 9 errors were found.
Unless otherwise reported, any unchecked objects are part of debuginfo and may be ignored.
end test at Fri Nov 15 16:26:11 CET 2013 on tps-x86-64-6s.rhev.lab.eng.brq.redhat.com
TPSRESULT: SharedLibTest Returning: FAIL

Expected results:
TPSRESULT: SharedLibTest Returning: PASS

Additional info:
Comment 2 Mike Foley 2013-11-19 07:04:41 EST
PRD Requirement PKG-002.   Adding Blocks GA flag, for now (at least until Agent RPM on RHN is de-coupled from the JON 3.2 payload for post-12/4 delivery)

This needs to be fixed, or the waiver documented.
Comment 3 Mike Foley 2013-11-19 16:25:32 EST
this seems valid. 

dev may have an action item.

also, maybe review the waivers from JON 3.1.2 Errata ... this may be the same issue on something we previously waived.
Comment 7 Simeon Pinder 2013-12-03 18:19:31 EST
Moving to ON_QA for testing in latest(CR1) brew build.

Note You need to log in before you can comment on or make changes to this bug.